function r = norm1(G,D,d)
  s = (1-d)*eigs(mid(G),mid(D),1,'SA');
  if s > 0
    disp('cheking G-s*D')
    if isspd(G-s*D) == 1
      r = sup(1/intval(s));
    else
      error('2-norm cannot be obtained.')
    end
  else
    disp('cheking G^2-s*D^2')
    G2 = sym(G^2);  D2 = sym(D^2); 
    s = (1-d)*eigs(mid(G2),mid(D2),1,'SM');
    if isspd(G2-s*D2) == 1
      r = sup(1/sqrt(intval(s)));
    else
      error('2-norm cannot be obtained.')
    end
  end                                         
